net.sf.jasperreports.crosstabs.type

## Enum CrosstabColumnPositionEnum

- java.lang.Object
- - java.lang.Enum<CrosstabColumnPositionEnum>
  - - net.sf.jasperreports.crosstabs.type.CrosstabColumnPositionEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CrosstabColumnPositionEnum>, JREnum, NamedEnum

      public enum CrosstabColumnPositionEnum
      extends java.lang.Enum<CrosstabColumnPositionEnum>
      implements JREnum

  Version:
    $Id: CrosstabColumnPositionEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CENTER` Horizontal stretch position indicating that the contents will be rendered on the center.
    `LEFT` Horizontal stretch position indicating that the contents will be rendered on the left side.
    `RIGHT` Horizontal stretch position indicating that the contents will be rendered on the right side.
    `STRETCH` Horizontal stretch position indicating that the contents will be horizontally stretched.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CrosstabColumnPositionEnum` | `getByName(java.lang.String name)`
    `static CrosstabColumnPositionEnum` | `getByValue(byte value)`
    `static CrosstabColumnPositionEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static CrosstabColumnPositionEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CrosstabColumnPositionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final CrosstabColumnPositionEnum LEFT

      Horizontal stretch position indicating that the contents will be rendered on the left side.

    - #### CENTER

          public static final CrosstabColumnPositionEnum CENTER

      Horizontal stretch position indicating that the contents will be rendered on the center.

    - #### RIGHT

          public static final CrosstabColumnPositionEnum RIGHT

      Horizontal stretch position indicating that the contents will be rendered on the right side.

    - #### STRETCH

          public static final CrosstabColumnPositionEnum STRETCH

      Horizontal stretch position indicating that the contents will be horizontally stretched.

  - ### Method Detail

    - #### values

          public static CrosstabColumnPositionEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CrosstabColumnPositionEnum c : CrosstabColumnPositionEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CrosstabColumnPositionEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static CrosstabColumnPositionEnum getByName(java.lang.String name)

    - #### getByValue

          public static CrosstabColumnPositionEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static CrosstabColumnPositionEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com